# TODO: switch to python3 once musicbrainzngs is available for it

Name:           isrcsubmit
Version:        2.0.1
Release:        2%{?dist}
Summary:        Script to submit ISRCs from disc to MusicBrainz

License:        GPLv3+
URL:            http://jonnyjd.github.io/musicbrainz-isrcsubmit/
Source0:        http://isrcsubmit.jonnyjd.net/downloads/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.0.1-no-setup-requires.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-libdiscid
BuildRequires:  python-musicbrainzngs
BuildRequires:  python-sphinx
Requires:       python-libdiscid
Requires:       python-musicbrainzngs
Requires:       python-keyring

%description
This python script extracts ISRCs from audio cds and submits them to
MusicBrainz. Features: read and submit ISRCs from disc, search for
releases with the TOC of the disc, submit discIds / TOCs, display
release information from MusicBrainz, duplicate ISRC detection (local
and on server), keyring support for login information.


%prep
%autosetup


%build
%{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
# sys.stdin.encoding can be None in mock, hence override with PYTHONIOENCODING
PYTHONIOENCODING=UTF-8 %{__python2} setup.py test


%files
%license COPYING
%doc AUTHORS CHANGES.markdown README.rst
%{_bindir}/isrcsubmit.py
%{python2_sitelib}/%{name}-%{version}*
%{_mandir}/man1/isrcsubmit.1*
%{_mandir}/man5/isrcsubmit-config.5*



%changelog
* Mon Jun 29 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.0.1-2
- Do not try to download any packages during build

* Tue Jun 16 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.0.1-1
- Update to 2.0.1

* Sun Apr 19 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.0.0-2
- Add man page, fix and run test suite (#1210941)

* Sat Apr 11 2015 Ville Skyttä <ville.skytta@iki.fi> - 2.0.0-1
- First build
